Subject: bug#17677: gnus: confusing error message from `gnus-topic-unindent'

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 25 Jan 2017 18:28:08 +0100

Samuel Bronson <[email-masked]> writes:

> When I invoke `gnus-topic-unindent' and it can't see how to unindent the
> topic any further, it says (e.g.) "Nothing to indent Gnus into".  This
> rather confused me about the key handling at first, since (at least for
> the first sub-topic) this is exactly the same message I get for
> `gnus-topic-indent'. (Also for the top-level topic, but I doubt anyone
> would seriously attempt to indent/unindent that?)

I've now changed the error message to:

     (unless grandparent
-      (error "Nothing to indent %s into" topic))
+      (error "Can't unindent %s further" topic))

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no